Developer Portal

List AccountsGET

Return a list of trading accounts based on the provided search, filter, and pagination criteria.

View as Markdown
GET
/accounts

Authorization

Authorization<token>

Bearer access token issued by the admin login flow.

In: header

Query Parameters

idarray<string>
profileIdstring
groupIdstring
currencystring
statusstring
Format: "uint64"
pagestring
Format: "uint64"
perPagestring
Format: "uint64"
curl -X GET "https://example.com/accounts?id=string&profileId=%3Cstring%3E&groupId=%3Cstring%3E&currency=%3Cstring%3E&status=%3Cstring%3E&page=%3Cstring%3E&perPage=%3Cstring%3E" \
  -H "Authorization: <token>"

A successful response.

{
  "accounts": [
    {
      "id": "string",
      "groupId": "string",
      "profileId": "string",
      "currency": "string",
      "positionMode": "POSITIONING_MODE_UNSPECIFIED",
      "status": "TRADE_STATUS_UNSPECIFIED",
      "nop": 0.1,
      "balance": 0.1,
      "maxLeverage": "string",
      "version": "string",
      "isSb": true,
      "isDemo": true,
      "marginCalcTypeOverride": "MARGIN_CALC_TYPE_UNSPECIFIED",
      "dailyStatement": true
    }
  ],
  "page": "string",
  "perPage": "string",
  "total": "string"
}